Function
windowFindNext
Searches over the next window with the finder. The found hits can be retrieved with getWindowFindHits Used together with windowFindBegin and windowFindEnd.
windowFindNext(finder, pattern, finderWindowLength)
Include Headers
seqan/index.h
Parameters

finder | A finder with window interface. Types: Pigeonhole
pattern | A pattern with window interface. Types: Pigeonhole, Swift
finderWindowLength | Number of bases that are scanned beginning from the position the finder is at. Including bases that are marked as repeats and that are skipped. Types: unsigned int

Return Values
true, if there are bases that can be scanned. false, otherwise
Member of
Swift, Pigeonhole
See Also
windowFindEnd, getWindowFindHits, windowFindBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59